Summary:	Data copying in presence of I/O errors
Summary(pl.UTF-8):	Kopiowanie danych z błędami wejścia/wyjścia
Name:		ddrescue
Version:	1.27
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://download.savannah.gnu.org/releases/ddrescue/%{name}-%{version}.tar.lz
# Source0-md5:	9617e8914ebc7a250379c6477a2cef27
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/ddrescue/
BuildRequires:	help2man
BuildRequires:	libstdc++-devel
BuildRequires:	lzip
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ddrescue copies data from one file or block device (hard disk, cdrom,
etc) to another, trying hard to rescue data in case of read errors.

ddrescue does not truncate the output file if not asked to. So,
everytime you run it on the same output file, it tries to fill in the
gaps.

If you have two or more copies of a damaged file, cdrom, etc, and run
ddrescue on all of them, one at a time, with the same output file, you
will probably obtain a complete and error-free file. This is so
because the probability of having damaged areas at the same places on
different input files is very low.

If you also use the bad blocks file feature of ddrescue, the data will
be rescued very efficiently. Also you can interrupt the rescue at any
time and resume it later.

%description -l pl.UTF-8
ddrescue kopiuje dane z jednego pliku lub urządzenia blokowego (dysku
twardego, płyty CD-ROM itp.) do innego, próbując usilnie uratować dane
w przypadku błędów odczytu.

ddrescue nie skraca pliku wyjściowego, jeśli nie zostanie o to
poproszony. Za każdym uruchomieniem na tym samym pliku wyjściowym
próbuje wypełnić luki.

Jeśli mamy dwie lub więcej kopii uszkodzonego pliku, płyty itp. i
uruchomimy ddrescue na wszystkich z nich z tym samym plikiem
wyjściowym, prawdopodobnie dostaniemy cały plik bez błędów. Stanie się
tak dlatego, że prawdopodobieństwo uszkodzenia pliku w tych samych
miejscach na różnych kopiach jest bardzo małe.

Jeśli użyjemy opcji obsługi pliku z listą złych bloków w ddrescue dane
będą odzyskiwane bardzo wydajnie.

%prep
%setup -q
%patch0 -p1

%{__rm} doc/ddrescue.info*

%build
./configure \
	CXX="%{__cxx}" \
	CPPFLAGS="%{rpmcppflags}" \
	CXXFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}" \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}

%{__make} all info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ddrescue
%attr(755,root,root) %{_bindir}/ddrescuelog
%{_infodir}/ddrescue.info*
%{_mandir}/man1/ddrescue.1*
%{_mandir}/man1/ddrescuelog.1*
%changelog
* Sun Mar 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ddrescue.git;a=log;h=master

* Tue Jan 24 2023 Adam Gołębiowski <adamg@pld-linux.org> 5664c05
- updated to 1.27

* Sat Jan 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 37477fa
- updated info patch, rebuild .info file from .texi source

* Sat Jan 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 8a50eb0
- updated to 1.26

* Thu Mar 19 2020 Jakub Bogusz <qboosh@pld-linux.org> b68dfe2
- updated to 1.25

* Mon Feb 25 2019 Adam Gołębiowski <adamg@pld-linux.org> 3646c83
- updated to 1.24

* Sat Mar 03 2018 Jakub Bogusz <qboosh@pld-linux.org> 38ff885
- updated to 1.23

* Tue Feb 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 9316220
- updated to 1.22

* Mon Jun 27 2016 Jakub Bogusz <qboosh@pld-linux.org> cc2fa90
- updated to 0.21

* Sun Dec 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> d78bf4c
- updated to 1.20

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 62b5ebe
- BR: texinfo (not info), help2man; don't package info/dir

* Sat Nov 22 2014 Grzegorz Pycia <gzohop@pld-linux.org> 6a3ef75
-  add missing BR info

* Sat Nov 22 2014 Grzegorz Pycia <gzohop@pld-linux.org> 0d95b41
- up to 1.19

* Thu Jun 12 2014 Jakub Bogusz <qboosh@pld-linux.org> e9aa5c0
- updated to 1.18.1

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 5c9d77c
- updated to 1.17

* Thu Jun 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 4f2fe19
- updated to 1.16

* Mon Jan 02 2012 Adam Gołębiowski <adamg@pld-linux.org> 41c67e1
- updated to 1.15

* Wed Jan 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 732dba2
- updated to 1.14

* Wed Sep 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 57a270c
- updated to 1.13

* Fri Apr 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 2c7603d
- updated to 1.12, dropped dead patch

* Fri Apr 09 2010 Jakub Bogusz <qboosh@pld-linux.org> fdd3192
- outdated, unmaintained

